Subject: [bug#62894] [PATCH core-updates 0/2] gnu: samba: Fix build on i686-linux.

From: John Kehayias <[email-masked]>
Date: Mon, 17 Apr 2023 04:23:49 +0000

Hi Guix,

Two patches here:

1. Fix samba building on i686-linux, as the selftest configure option requires python-cryptography, which relies on rust and thus won't work on i686 currently. So conditionally enable this flag and that native-input.

   The check here happens twice, better to have a let form for the whole package (or even reduce it to a "rust?" variable)? I went with the check we use for librsvg, but haven't checked on aarch64 if this does build. I did test that samba builds for x86_64 and i686-linux and this allows wine on x86_64 to build for me as well.

2. In doing this I noticed that samba is outdated and vulnerable to CVEs so I updated it in the next patch. I separately verified the download's signature, though samba's key is expired, so...

I didn't push this directly since I wasn't sure if there was a more elegant way to do this check and since I'm not certain on the rust architectures question.

A similar fix is needed on master I believe, but since the inheritance is flipped there I wasn't sure if this will just confuse the upcoming merge more. If the core-updates merge is happening soon we can wait? Or once this is good for core-updates I'll push the same fix to master.

Thanks!
John